Bug 10345 - message catalogs
Summary: message catalogs
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: tcsh (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Eido Inoue
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-03-25 14:13 UTC by MATSUURA Takanori
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-25 14:25:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description MATSUURA Takanori 2000-03-25 14:13:00 UTC
Support message catalogs.
Please use these patches.

Comment 1 MATSUURA Takanori 2000-03-25 14:25:59 UTC
I can not attach a patch with bugzilla.
And put here.

diff -Naur tcsh-6.09.00.orig/config_f.h tcsh-6.09.00/config_f.h
--- tcsh-6.09.00.orig/config_f.h        Tue May 11 22:07:42 1999
+++ tcsh-6.09.00/config_f.h     Sat Mar 25 21:15:41 2000
@@ -117,14 +117,14 @@
  *             be used with SHORT_STRINGS
  *
  */
-#undef KANJI
+#define KANJI

 /*
  * DSPMBYTE    add variable "dspmbyte" and display multi-byte string at
  *             only output, when "dspmbyte" is set. Should be used with
  *             KANJI
  */
-#undef DSPMBYTE
+#define DSPMBYTE

 /*
  * MBYTEDEBUG  when "dspmbyte" is changed, set multi-byte checktable to
--- tcsh.spec.orig      Tue Feb  1 06:25:13 2000
+++ tcsh.spec   Sat Mar 25 21:31:39 2000
@@ -1,7 +1,7 @@
 Summary: An enhanced version of csh, the C shell.
 Name: tcsh
 Version: 6.09
-Release: 3
+Release: 3a
 Copyright: distributable
 Group: System Environment/Shells
 Source: ftp://ftp.astron.com/pub/tcsh/tcsh-%{version}.tar.gz
@@ -10,6 +10,7 @@
 Patch2: tcsh-6.08.00-security.patch
 Patch3: tcsh-6.08.00-pathmax.patch
 Patch4: tcsh-6.09.00-strcoll.patch
+Patch5: tcsh-6.09.00-multibyte.patch
 Provides: csh = %{version}
 Prereq: fileutils grep
 URL: http://www.primate.wisc.edu/software/csh-tcsh-book/
@@ -30,12 +31,13 @@
 %patch2 -p1 -b .security
 #%patch3 -p1 -b .pathmax
 %patch4 -p1 -b .strcoll
+%patch5 -p1 -b .multibyte

 %build
 #CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr

 %configure --bindir=/bin
-make LIBES="-lnsl -ltermcap -lcrypt"
+make LIBES="-lnsl -ltermcap -lcrypt" all catalogs

 %install
 rm -rf $RPM_BUILD_ROOT
@@ -45,6 +47,18 @@
 ln -sf tcsh $RPM_BUILD_ROOT/bin/csh
 nroff -me eight-bit.me > eight-bit.txt

+for i in de es fr gr_GR it ja_JP.eucJP
+do
+        mkdir -p $RPM_BUILD_ROOT/usr/share/locale/$i/LC_MESSAGES
+done
+install -m 644 tcsh.german.cat $RPM_BUILD_ROOT/usr/share/locale/de/LC_MESSAGES/
tcsh
+install -m 644 tcsh.spanish.cat $RPM_BUILD_ROOT/usr/share/locale/es/LC_MESSAGES
/tcsh
+install -m 644 tcsh.french.cat $RPM_BUILD_ROOT/usr/share/locale/fr/LC_MESSAGES/
tcsh
+install -m 644 tcsh.greek.cat $RPM_BUILD_ROOT/usr/share/locale/gr_GR/LC_MESSAGE
+install -m 644 tcsh.italian.cat $RPM_BUILD_ROOT/usr/share/locale/it/LC_MESSAGES
/tcsh
+install -m 644 tcsh.ja.cat $RPM_BUILD_ROOT/usr/share/locale/ja_JP.eucJP/LC_MESS
AGES/tcsh
+
+
 %clean
 rm -rf $RPM_BUILD_ROOT

@@ -69,8 +83,14 @@
 /bin/tcsh
 /bin/csh
 /usr/man/man1/tcsh.*
+/usr/share/locale/*/*/tcsh

 %changelog
+* Sat Mar 25 2000 MATSUURA Takanori <t-matsuu@protein.osaka-u.ac.jp>
+- based on Raw Hide SRPM
+- added multibyte patch
+- added catalogs
+
 * Mon Jan 31 2000 Cristian Gafton <gafton@redhat.com>
 - rebuild to fix dependencies

Comment 2 Jeff Johnson 2000-06-21 01:37:15 UTC
Fixed in tcsh-6.09-5. Thanks for the patch.


Note You need to log in before you can comment on or make changes to this bug.